- We call this API to cancel a specific bet when a member’s bet is abnormal or in other special cases.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Our token; you must verify it |
Content-Type | string | Yes | multipart/form-data |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
betId | string | Yes | ✓ | Bet ID |
sequenceNumber | string | Yes | ✓ | Bet sequence number |
channelId | number | Yes | ✓ | Channel ID (use 1 if you have no channels) |
account | string | Yes | ✓ | Member account (allowed characters: a-z A-Z 0-9 _-) |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.channelId | number | Channel ID |
data.account | string | Member account |
data.currency | string | Currency (contact our business team) |
data.balance | number | Member balance in this currency |
status | object | Response status. See Response format |
